Subject: Re: 3945 driver using d80211

From: "John W. Linville" <[email-masked]>
Date: Wed, 9 Aug 2006 10:50:47 -0400

On Wed, Aug 09, 2006 at 09:57:12AM +0200, Johannes Berg wrote:
> Michael Wu wrote:
> >I think it would be best if you made the firmware not be aware of a 
> >connection, and let the d80211 code take care of all the 
> >scanning/authenticating/associating. Of course, I know nothing about 3945, 
> >so I don't know if that's possible.
> >  
> Please not, for now. We need someone pushing for fullmac features in 
> d80211, we need those anyway for embedded systems that can't afford 
> running all of it on the main CPU. While obviously Intel would benefit 
> from doing this since a lot more d80211 features would come available, 
> the greater good would be having a main-stream card that someone cares 
> about and helps making d80211 full-mac capable.

I second this opinion.  It would be good to make d80211 more capable
of dealing with these cards.

John
-- 
John W. Linville
[email-masked]